Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.sax.builder
Class LinkedSAXPipelineComponentBuilderImpl

    java.lang.Object
      org.apache.cocoon.sax.builder.LinkedSAXPipelineComponentBuilderImpl

All Implemented Interfaces:
  LinkedSAXPipelineComponentBuilder

    public final class LinkedSAXPipelineComponentBuilderImpl

extends Object
implements LinkedSAXPipelineComponentBuilder

Version:
  $Id: LinkedSAXPipelineComponentBuilderImpl.java 1044301 2010-12-10 11:34:38Z simonetripodi $

Constructor Summary
`LinkedSAXPipelineComponentBuilderImpl(Pipeline<SAXPipelineComponent> pipeline)`

Method Summary
`LinkedSAXPipelineComponentBuilder` | `addCleaningTransformer()`
`
`<SPC extends SAXPipelineComponent> LinkedSAXPipelineComponentBuilder`
` | `addComponent(SPC pipelineComponent)`
`LinkedSAXPipelineComponentBuilder` | `addIncludeTransformer()`
`LinkedSAXPipelineComponentBuilder` | `addLogAsXMLTransformer()`
`LinkedSAXPipelineComponentBuilder` | `addLogAsXMLTransformer(File logFile)`
`LinkedSAXPipelineComponentBuilder` | `addLogTransformer(File logFile)`
`LinkedSAXPipelineComponentBuilder` | `addLogTransformer(File logFile, boolean append)`
`LinkedSAXPipelineComponentBuilder` | `addLogTransformer(File logFile, boolean append, SimpleDateFormat dateFormat)`
`LinkedSAXPipelineComponentBuilder` | `addLogTransformer(File logFile, boolean append, String datePattern)`
`LinkedSAXPipelineComponentBuilder` | `addSchemaProcessorTransformer(URL source)`
`LinkedPipelineConfigurationBuilder<SAXPipelineComponent>` | `addSerializer()`
`LinkedSAXPipelineComponentBuilder` | `addXIncludeTransformer()`
`LinkedSAXPipelineComponentBuilder` | `addXIncludeTransformer(URL baseUrl)`
`LinkedSAXPipelineComponentBuilder` | `addXSLTTransformer(URL source)`
`LinkedSAXPipelineComponentBuilder` | `addXSLTTransformer(URL source, Map<String,Object> attributes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkedSAXPipelineComponentBuilderImpl

    public LinkedSAXPipelineComponentBuilderImpl(Pipeline<SAXPipelineComponent> pipeline)

Method Detail

### addCleaningTransformer

    public LinkedSAXPipelineComponentBuilder addCleaningTransformer()

  Specified by:
    `addCleaningTransformer` in interface `LinkedSAXPipelineComponentBuilder`

### addIncludeTransformer

    public LinkedSAXPipelineComponentBuilder addIncludeTransformer()

  Specified by:
    `addIncludeTransformer` in interface `LinkedSAXPipelineComponentBuilder`

### addLogAsXMLTransformer

    public LinkedSAXPipelineComponentBuilder addLogAsXMLTransformer()

  Specified by:
    `addLogAsXMLTransformer` in interface `LinkedSAXPipelineComponentBuilder`

### addLogAsXMLTransformer

    public LinkedSAXPipelineComponentBuilder addLogAsXMLTransformer(File logFile)

  Specified by:
    `addLogAsXMLTransformer` in interface `LinkedSAXPipelineComponentBuilder`

### addLogTransformer

    public LinkedSAXPipelineComponentBuilder addLogTransformer(File logFile)
                                                        throws IOException

  Specified by:
    `addLogTransformer` in interface `LinkedSAXPipelineComponentBuilder`
  Throws:
    `IOException`

### addLogTransformer

    public LinkedSAXPipelineComponentBuilder addLogTransformer(File logFile,
                                                               boolean append)
                                                        throws IOException

  Specified by:
    `addLogTransformer` in interface `LinkedSAXPipelineComponentBuilder`
  Throws:
    `IOException`

### addLogTransformer

    public LinkedSAXPipelineComponentBuilder addLogTransformer(File logFile,
                                                               boolean append,
                                                               String datePattern)
                                                        throws IOException

  Specified by:
    `addLogTransformer` in interface `LinkedSAXPipelineComponentBuilder`
  Throws:
    `IOException`

### addLogTransformer

    public LinkedSAXPipelineComponentBuilder addLogTransformer(File logFile,
                                                               boolean append,
                                                               SimpleDateFormat dateFormat)
                                                        throws IOException

  Specified by:
    `addLogTransformer` in interface `LinkedSAXPipelineComponentBuilder`
  Throws:
    `IOException`

### addSchemaProcessorTransformer

    public LinkedSAXPipelineComponentBuilder addSchemaProcessorTransformer(URL source)

  Specified by:
    `addSchemaProcessorTransformer` in interface `LinkedSAXPipelineComponentBuilder`

### addXIncludeTransformer

    public LinkedSAXPipelineComponentBuilder addXIncludeTransformer()

  Specified by:
    `addXIncludeTransformer` in interface `LinkedSAXPipelineComponentBuilder`

### addXIncludeTransformer

    public LinkedSAXPipelineComponentBuilder addXIncludeTransformer(URL baseUrl)

  Specified by:
    `addXIncludeTransformer` in interface `LinkedSAXPipelineComponentBuilder`

### addXSLTTransformer

    public LinkedSAXPipelineComponentBuilder addXSLTTransformer(URL source)

  Specified by:
    `addXSLTTransformer` in interface `LinkedSAXPipelineComponentBuilder`

### addXSLTTransformer

    public LinkedSAXPipelineComponentBuilder addXSLTTransformer(URL source,
                                                                Map<String,Object> attributes)

  Specified by:
    `addXSLTTransformer` in interface `LinkedSAXPipelineComponentBuilder`

### addComponent

    public <SPC extends SAXPipelineComponent> LinkedSAXPipelineComponentBuilder addComponent(SPC pipelineComponent)

  Specified by:
    `addComponent` in interface `LinkedSAXPipelineComponentBuilder`

### addSerializer

    public LinkedPipelineConfigurationBuilder<SAXPipelineComponent> addSerializer()

  Specified by:
    `addSerializer` in interface `LinkedSAXPipelineComponentBuilder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.